Jump to content

Recommended Posts

Господа, большое спасибо за поддержку !

Дверной датчик Xiaomi через ZHA тоже в HA успешно прокинулся !

Zigbee Stick - V4 (дизайн ZigStar от mercenaruss) на основе чипа TI CC2652P со встроенным усилителем на +19.5dbm. Стик на модуле от RF-STAR повторяет оригинальный лаунчпад от TI. 

Покупал здесь - https://t.me/zigberu у Frianik

Этот новый стик хотя и имеет на борту чип с поддержкой и Bluetooth тоже, но прошивка BT пока не поддерживает.

Поэтому, пока попробую подключить отдельный стик Bluetooth и прокинуть BT устройства

Как уже писал выше нужна поддержка BT на кинетике, я так понял пакеты в Entware есть и их нужно просто поставить?

bluez-daemon_5.54-1_mipsel-3.4.ipk
bluez-libs_5.54-1_mipsel-3.4.ipk
bluez-utils-extra_5.54-1_mipsel-3.4.ipk
bluez-utils_5.54-1_mipsel-3.4.ipk

Это они ?

Что можете сказать по этому поводу?

Всё, что нашел по теме https://hejdom.pl/blog/22-home-assistant/301-home-assistant-bluetooth-usb-do-terminali.html - с гугл переводчиком понятно.

Share this post


Link to post
Share on other sites

Поставил пакеты, вроде нормально встали, но при запуске ошибки, кто может переведите :)

Скрытый текст

~ # opkg install bluez-daemon
Installing bluez-daemon (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-daemon_5.54-1_mipsel-3.4.ipk
Installing bluez-libs (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-libs_5.54-1_mipsel-3.4.ipk
Installing bluez-utils (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-utils_5.54-1_mipsel-3.4.ipk
Installing libiconv-full (1.11.1-4) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libiconv-full_1.11.1-4_mipsel-3.4.ipk
Installing libintl-full (0.19.8.1-2) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libintl-full_0.19.8.1-2_mipsel-3.4.ipk
Installing libattr (2.4.48-2) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libattr_2.4.48-2_mipsel-3.4.ipk
Installing glib2 (2.65.2-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/glib2_2.65.2-1_mipsel-3.4.ipk
Installing libreadline (8.0-1a) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libreadline_8.0-1a_mipsel-3.4.ipk
Installing libdbus (1.13.12-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libdbus_1.13.12-1_mipsel-3.4.ipk
Installing dbus (1.13.12-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/dbus_1.13.12-1_mipsel-3.4.ipk
Installing bluez-utils-extra (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-utils-extra_5.54-1_mipsel-3.4.ipk
Installing libical (3.0.6-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libical_3.0.6-1_mipsel-3.4.ipk
Configuring libical.
Configuring bluez-libs.
Configuring libiconv-full.
Configuring libintl-full.
Configuring libattr.
Configuring glib2.
Configuring libreadline.
Configuring libdbus.
Configuring dbus.
Configuring bluez-utils-extra.
Configuring bluez-utils.
Configuring bluez-daemon.

~ # bluetoothctl
Waiting to connect to bluetoothd...dbus[22717]: arguments to dbus_connection_get_object_path_data() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 5921.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted

~ # bluetoothd start
D-Bus setup failed: Failed to connect to socket /opt/var/run/dbus/system_bus_socket: No such file or directory
Segmentation fault


~ # btmon
Bluetooth monitor ver 5.54
Failed to open channel: Address family not supported by protocol

~ # btmgmt
Unable to open mgmt_socket

~ # btattach
No controller attached

~ # bluemoon
Bluemoon configuration utility ver 5.54
Failed to open HCI user channel


~ # lsusb
Bus 002 Device 004: ID 1058:0832 Western Digital Technologies, Inc.
Bus 001 Device 009: ID 0bda:8152 Realtek Semiconductor Corp. RTL8152 Fast Ethernet Adapter
Bus 001 Device 013: ID 1a86:7523 QinHeng Electronics HL-340 USB-Serial adapter
Bus 002 Device 003: ID 4971:8017 SimpleTech
Bus 001 Device 014: ID 1310:0001 Roper Class 1 Bluetooth Dongle
Bus 001 Device 002: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 05e3:0612 Genesys Logic, Inc. Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub

 

Share this post


Link to post
Share on other sites

Поставил на чистый entware
Результат при запуске:
 

~ # hass
Traceback (most recent call last):
  File "/opt/bin/hass", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3257, in <module>
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3240, in _call_aside
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3269, in _initialize_master_working_set
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 582, in _build_master
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 899, in require
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 785, in resolve
pkg_resources.DistributionNotFound: The 'homeassistant==0.118.0' distribution was not found and is required by the application
~ #

 

Edited by Grinch

Share this post


Link to post
Share on other sites
В 01.12.2020 в 18:19, Олег Осипов сказал:

Поставил пакеты, вроде нормально встали, но при запуске ошибки, кто может переведите :)

  Показать содержимое

~ # opkg install bluez-daemon
Installing bluez-daemon (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-daemon_5.54-1_mipsel-3.4.ipk
Installing bluez-libs (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-libs_5.54-1_mipsel-3.4.ipk
Installing bluez-utils (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-utils_5.54-1_mipsel-3.4.ipk
Installing libiconv-full (1.11.1-4) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libiconv-full_1.11.1-4_mipsel-3.4.ipk
Installing libintl-full (0.19.8.1-2) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libintl-full_0.19.8.1-2_mipsel-3.4.ipk
Installing libattr (2.4.48-2) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libattr_2.4.48-2_mipsel-3.4.ipk
Installing glib2 (2.65.2-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/glib2_2.65.2-1_mipsel-3.4.ipk
Installing libreadline (8.0-1a) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libreadline_8.0-1a_mipsel-3.4.ipk
Installing libdbus (1.13.12-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libdbus_1.13.12-1_mipsel-3.4.ipk
Installing dbus (1.13.12-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/dbus_1.13.12-1_mipsel-3.4.ipk
Installing bluez-utils-extra (5.54-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/bluez-utils-extra_5.54-1_mipsel-3.4.ipk
Installing libical (3.0.6-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libical_3.0.6-1_mipsel-3.4.ipk
Configuring libical.
Configuring bluez-libs.
Configuring libiconv-full.
Configuring libintl-full.
Configuring libattr.
Configuring glib2.
Configuring libreadline.
Configuring libdbus.
Configuring dbus.
Configuring bluez-utils-extra.
Configuring bluez-utils.
Configuring bluez-daemon.

~ # bluetoothctl
Waiting to connect to bluetoothd...dbus[22717]: arguments to dbus_connection_get_object_path_data() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 5921.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted

~ # bluetoothd start
D-Bus setup failed: Failed to connect to socket /opt/var/run/dbus/system_bus_socket: No such file or directory
Segmentation fault


~ # btmon
Bluetooth monitor ver 5.54
Failed to open channel: Address family not supported by protocol

~ # btmgmt
Unable to open mgmt_socket

~ # btattach
No controller attached

~ # bluemoon
Bluemoon configuration utility ver 5.54
Failed to open HCI user channel


~ # lsusb
Bus 002 Device 004: ID 1058:0832 Western Digital Technologies, Inc.
Bus 001 Device 009: ID 0bda:8152 Realtek Semiconductor Corp. RTL8152 Fast Ethernet Adapter
Bus 001 Device 013: ID 1a86:7523 QinHeng Electronics HL-340 USB-Serial adapter
Bus 002 Device 003: ID 4971:8017 SimpleTech
Bus 001 Device 014: ID 1310:0001 Roper Class 1 Bluetooth Dongle
Bus 001 Device 002: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 05e3:0612 Genesys Logic, Inc. Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub

 

Я так понял не работает потому что поддержку BT надо в ядре делать? 

Разработчики, это можно сделать?

Тема неоднократно поднималась но заглохла:

 

 

Share this post


Link to post
Share on other sites
32 минуты назад, Олег Осипов сказал:

Обновитьcя можно? И как ? Сначала питон обновить?

Можно! ))) `opkg update && opkg upgrade` (я, для экономии времени, НА сносил и ставил заново ( 0.116.* => 0.117.* => 0.118.* )). Посмотреть на "масштаб разрушений" обновления можно так: `opkg list-upgradable | sort`. Возможно надо ("для страховки") переустановить всего python`a, типа: `opkg list-installed | sort | grep ^pyt | cut -f1 -d' ' | xargs opkg install --force-reinstall`

37 минут назад, Олег Осипов сказал:

Я так понял не работает потому что поддержку BT надо в ядре делать? 

скорее всего.

38 минут назад, Олег Осипов сказал:

Разработчики, это можно сделать?

Адресуйте вопрос разработчикам прошивки.

Share this post


Link to post
Share on other sites

НА хранит настройки в `/opt/var/lib/homeassistant/ `, при удалении НА (`opkg remove homeassistant`) они не затрагиваются. Останется решить вопрос с зависимостями, к-рые установили интеграции или сам НА (`/opt/var/lib/homeassistant/deps/{bin,lib}`)

Share this post


Link to post
Share on other sites

Обновиться не удалось, обновление прошло подозрительно быстро, после чего не запустился интерфейс.

Пришлось ставить заново с переустановкой Entware

Настройки вернул - подхватились.

Скрытый текст

~ # /opt/etc/init.d/S99hass stop
 Checking hass...              alive.
 Shutting down hass...              done.

~ # opkg update
Downloading http://bin.entware.net/mipselsf-k3.4/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/entware
Downloading http://bin.entware.net/mipselsf-k3.4/keenetic/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/keendev
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/ha

~ # opkg list-upgradable
ldconfig - 2.27-10 - 2.27-11
libc - 2.27-10 - 2.27-11
opkg - 2020-05-07-f2166a89-1 - 2020-11-24-61b3c62d-1
libpthread - 2.27-10 - 2.27-11
zoneinfo-europe - 2020a-1 - 2020d-1
busybox - 1.31.1-4 - 1.31.1-6
python3-urllib - 3.8.5-2 - 3.9.0-2
python3-light - 3.8.5-2 - 3.9.0-2
glib2 - 2.65.2-1 - 2.66.1-1
python3-pydoc - 3.8.5-2 - 3.9.0-2
liblzma - 5.2.5-1 - 5.2.5-2
python3-email - 3.8.5-2 - 3.9.0-2
grep - 3.4-2 - 3.6-1
zoneinfo-asia - 2020a-1 - 2020d-1
python3-cgitb - 3.8.5-2 - 3.9.0-2
python3-decimal - 3.8.5-2 - 3.9.0-2
usbutils - 007-10 - 007-11
python3-xml - 3.8.5-2 - 3.9.0-2
python3-setuptools - 47.1.0-1 - 49.2.1-1
libxml2 - 2.9.10-1 - 2.9.10-2
python3-pkg-resources - 47.1.0-1 - 49.2.1-1
python3-aiohomekit - 0.2.54-1 - 0.2.57-1
homeassistant - 0.118.0-1 - 0.118.5-1
dropbear - 2020.80-2 - 2020.81-1
python3-pytz - 2020.1-1 - 2020.4-1
libstdcpp - 8.4.0-10 - 8.4.0-11
python3-ncurses - 3.8.5-2 - 3.9.0-2
python3-distutils - 3.8.5-2 - 3.9.0-2
python3-codecs - 3.8.5-2 - 3.9.0-2
libgcc - 8.4.0-10 - 8.4.0-11
python3-multiprocessing - 3.8.5-2 - 3.9.0-2
libuuid - 2.36-1 - 2.36-2
python3-cffi - 1.14.2-1 - 1.14.4-1
python3-hass-nabucasa - 0.37.2-1 - 0.38.0-1
python3-base - 3.8.5-2 - 3.9.0-2
python3 - 3.8.5-2 - 3.9.0-2
librt - 2.27-10 - 2.27-11
python3-home-assistant-frontend - 20201111.2-1 - 20201204.0-1
python3-sqlite3 - 3.8.5-2 - 3.9.0-2
python3-urllib3 - 1.25.11-1 - 1.26.2-1
python3-gdbm - 3.8.5-2 - 3.9.0-2
python3-pip - 20.1.1-1 - 20.2.3-1
python3-dbm - 3.8.5-2 - 3.9.0-2
libjpeg-turbo - 2.0.5-1 - 2.0.6-1
python3-yarl - 1.4.2-1 - 1.6.2-1
python3-openssl - 3.8.5-2 - 3.9.0-2
python3-asyncio - 3.8.5-2 - 3.9.0-2
libssp - 8.4.0-10 - 8.4.0-11
python3-cgi - 3.8.5-2 - 3.9.0-2
python3-logging - 3.8.5-2 - 3.9.0-2
libexpat - 2.2.9-2 - 2.2.10-1
python3-ctypes - 3.8.5-2 - 3.9.0-2
python3-pyopenssl - 19.1.0-2 - 20.0.0-1
python3-attrs - 20.1.0-1 - 20.3.0-1
python3-lzma - 3.8.5-2 - 3.9.0-2
python3-certifi - 2020.6.20-1 - 2020.11.8-1
libfreetype - 2.10.2-1 - 2.10.4-1
libopenssl - 1.1.1g-1 - 1.1.1h-1
python3-unittest - 3.8.5-2 - 3.9.0-2

~ # time opkg upgrade
Upgrading ldconfig on root from 2.27-10 to 2.27-11...
Downloading http://bin.entware.net/mipselsf-k3.4/ldconfig_2.27-11_mipsel-3.4.ipk
Upgrading libc on root from 2.27-10 to 2.27-11...
Downloading http://bin.entware.net/mipselsf-k3.4/libc_2.27-11_mipsel-3.4.ipk
Upgrading opkg on root from 2020-05-07-f2166a89-1 to 2020-11-24-61b3c62d-1...
Downloading http://bin.entware.net/mipselsf-k3.4/opkg_2020-11-24-61b3c62d-1_mips         el-3.4.ipk
Upgrading libpthread on root from 2.27-10 to 2.27-11...
Downloading http://bin.entware.net/mipselsf-k3.4/libpthread_2.27-11_mipsel-3.4.i         pk
Upgrading zoneinfo-europe on root from 2020a-1 to 2020d-1...
Downloading http://bin.entware.net/mipselsf-k3.4/zoneinfo-europe_2020d-1_mipsel-         3.4.ipk
Upgrading busybox on root from 1.31.1-4 to 1.31.1-6...
Downloading http://bin.entware.net/mipselsf-k3.4/busybox_1.31.1-6_mipsel-3.4.ipk
Installing libubox (2020-08-06-9e52171d-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libubox_2020-08-06-9e52171d-1_m         ipsel-3.4.ipk
Installing libjson-c (0.15-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/libjson-c_0.15-1_mipsel-3.4.ipk
Installing jsonfilter (2018-02-04-c7e938d6-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/jsonfilter_2018-02-04-c7e938d6-         1_mipsel-3.4.ipk
Upgrading python3-urllib on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-urllib_3.9.0-2_mipsel-3         .4.ipk
Removing obsolete file /opt/lib/python3.8/urllib/request.pyc.
Removing obsolete file /opt/lib/python3.8/urllib/response.pyc.
Removing obsolete file /opt/lib/python3.8/urllib/robotparser.pyc.
Removing obsolete file /opt/lib/python3.8/urllib/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/urllib/error.pyc.
Removing obsolete file /opt/lib/python3.8/urllib/parse.pyc.
Upgrading python3-light on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-light_3.9.0-2_mipsel-3.         4.ipk
Removing obsolete file /opt/lib/python3.8/turtle.pyc.
Removing obsolete file /opt/lib/python3.8/ftplib.pyc.
Removing obsolete file /opt/lib/python3.8/random.pyc.
Removing obsolete file /opt/lib/python3.8/sndhdr.pyc.
Removing obsolete file /opt/lib/python3.8/socket.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_heapq.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/crypt.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/xxlimited.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/hmac.pyc.
Removing obsolete file /opt/lib/python3.8/code.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/_bootstrap.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_random.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/importlib/_bootstrap_external.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/binascii.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/sre_constants.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_bz2.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_sha3.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/typing.pyc.
Removing obsolete file /opt/lib/python3.8/binhex.pyc.
Removing obsolete file /opt/lib/python3.8/tty.pyc.
Removing obsolete file /opt/lib/python3.8/webbrowser.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_csv.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_posixshmem.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/http/client.pyc.
Removing obsolete file /opt/lib/python3.8/zipimport.pyc.
Removing obsolete file /opt/lib/python3.8/reprlib.pyc.
Removing obsolete file /opt/lib/python3.8/ssl.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_pickle.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/tempfile.pyc.
Removing obsolete file /opt/lib/python3.8/_dummy_thread.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/metadata.pyc.
Removing obsolete file /opt/lib/python3.8/statistics.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_sha512.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/cmd.pyc.
Removing obsolete file /opt/lib/python3.8/inspect.pyc.
Removing obsolete file /opt/lib/python3.8/mailcap.pyc.
Removing obsolete file /opt/lib/python3.8/asynchat.pyc.
Removing obsolete file /opt/lib/python3.8/configparser.pyc.
Removing obsolete file /opt/lib/python3.8/pathlib.pyc.
Removing obsolete file /opt/lib/python3.8/struct.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/abc.pyc.
Removing obsolete file /opt/lib/python3.8/subprocess.pyc.
Removing obsolete file /opt/lib/python3.8/venv/scripts/posix/activate.csh.
Removing obsolete file /opt/lib/python3.8/mailbox.pyc.
Removing obsolete file /opt/lib/python3.8/operator.pyc.
Removing obsolete file /opt/lib/python3.8/pyclbr.pyc.
Removing obsolete file /opt/lib/python3.8/gzip.pyc.
Removing obsolete file /opt/lib/python3.8/netrc.pyc.
Removing obsolete file /opt/lib/python3.8/colorsys.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/select.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/socketserver.pyc.
Removing obsolete file /opt/lib/python3.8/shlex.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_sha1.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/re.pyc.
Removing obsolete file /opt/lib/python3.8/quopri.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/README.txt.
Removing obsolete file /opt/lib/python3.8/venv/scripts/common/Activate.ps1.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_json.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/smtplib.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/spwd.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/dummy_threading.pyc.
Removing obsolete file /opt/lib/python3.8/_bootlocale.pyc.
Removing obsolete file /opt/lib/python3.8/telnetlib.pyc.
Removing obsolete file /opt/lib/python3.8/asyncore.pyc.
Removing obsolete file /opt/lib/python3.8/html/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_sha256.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/pstats.pyc.
Removing obsolete file /opt/lib/python3.8/bdb.pyc.
Removing obsolete file /opt/lib/python3.8/_py_abc.pyc.
Removing obsolete file /opt/lib/python3.8/collections/abc.pyc.
Removing obsolete file /opt/lib/python3.8/types.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_xxtestfuzz.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/modulefinder.pyc.
Removing obsolete file /opt/lib/python3.8/textwrap.pyc.
Removing obsolete file /opt/lib/python3.8/filecmp.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/grp.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/_compat_pickle.pyc.
Removing obsolete file /opt/lib/python3.8/numbers.pyc.
Removing obsolete file /opt/lib/python3.8/pty.pyc.
Removing obsolete file /opt/lib/python3.8/imaplib.pyc.
Removing obsolete file /opt/lib/python3.8/signal.pyc.
Removing obsolete file /opt/lib/python3.8/ipaddress.pyc.
Removing obsolete file /opt/lib/python3.8/pkgutil.pyc.
Removing obsolete file /opt/lib/python3.8/traceback.pyc.
Removing obsolete file /opt/lib/python3.8/plistlib.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/ossaudiodev.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/queue.pyc.
Removing obsolete file /opt/lib/python3.8/_markupbase.pyc.
Removing obsolete file /opt/lib/python3.8/csv.pyc.
Removing obsolete file /opt/lib/python3.8/wsgiref/validate.pyc.
Removing obsolete file /opt/lib/python3.8/__phello__.foo.pyc.
Removing obsolete file /opt/lib/python3.8/getopt.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/array.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/weakref.pyc.
Removing obsolete file /opt/lib/python3.8/http/server.pyc.
Removing obsolete file /opt/lib/python3.8/warnings.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_datetime.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/locale.pyc.
Removing obsolete file /opt/lib/python3.8/antigravity.pyc.
Removing obsolete file /opt/lib/python3.8/zipfile.pyc.
Removing obsolete file /opt/lib/python3.8/__future__.pyc.
Removing obsolete file /opt/lib/python3.8/hashlib.pyc.
Removing obsolete file /opt/lib/python3.8/wsgiref/util.pyc.
Removing obsolete file /opt/lib/python3.8/gettext.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/parser.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/sunau.pyc.
Removing obsolete file /opt/lib/python3.8/fileinput.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/fcntl.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_struct.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/json/encoder.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_posixsubprocess.cpython-3         8.so.
Removing obsolete file /opt/lib/python3.8/copy.pyc.
Removing obsolete file /opt/lib/python3.8/contextvars.pyc.
Removing obsolete file /opt/lib/python3.8/json/tool.pyc.
Removing obsolete file /opt/lib/python3.8/pickletools.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/mmap.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/venv/__main__.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_crypt.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/json/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/concurrent/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/keyword.pyc.
Removing obsolete file /opt/lib/python3.8/timeit.pyc.
Removing obsolete file /opt/lib/python3.8/optparse.pyc.
Removing obsolete file /opt/lib/python3.8/token.pyc.
Removing obsolete file /opt/lib/python3.8/xdrlib.pyc.
Removing obsolete file /opt/lib/python3.8/heapq.pyc.
Removing obsolete file /opt/lib/python3.8/profile.pyc.
Removing obsolete file /opt/lib/python3.8/aifc.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_asyncio.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/venv/scripts/common/activate.
Removing obsolete file /opt/lib/python3.8/shutil.pyc.
Removing obsolete file /opt/lib/python3.8/linecache.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_md5.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_socket.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/venv/scripts/posix/activate.fish.
Removing obsolete file /opt/lib/python3.8/LICENSE.txt.
Removing obsolete file /opt/lib/python3.8/http/cookies.pyc.
Removing obsolete file /opt/lib/python3.8/json/decoder.pyc.
Removing obsolete file /opt/lib/python3.8/dis.pyc.
Removing obsolete file /opt/lib/python3.8/compileall.pyc.
Removing obsolete file /opt/lib/python3.8/sre_parse.pyc.
Removing obsolete file /opt/lib/python3.8/poplib.pyc.
Removing obsolete file /opt/lib/python3.8/symbol.pyc.
Removing obsolete file /opt/lib/python3.8/imghdr.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/syslog.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/symtable.pyc.
Removing obsolete file /opt/lib/python3.8/platform.pyc.
Removing obsolete file /opt/lib/python3.8/http/cookiejar.pyc.
Removing obsolete file /opt/lib/python3.8/concurrent/futures/thread.pyc.
Removing obsolete file /opt/lib/python3.8/sre_compile.pyc.
Removing obsolete file /opt/lib/python3.8/wave.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_lsprof.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/argparse.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_bisect.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/chunk.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_xxsubinterpreters.cpython         -38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/termios.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/base64.pyc.
Removing obsolete file /opt/lib/python3.8/concurrent/futures/_base.pyc.
Removing obsolete file /opt/lib/python3.8/calendar.pyc.
Removing obsolete file /opt/lib/python3.8/codeop.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_multibytecodec.cpython-38         .so.
Removing obsolete file /opt/lib/python3.8/shelve.pyc.
Removing obsolete file /opt/lib/python3.8/html/entities.pyc.
Removing obsolete file /opt/lib/python3.8/uu.pyc.
Removing obsolete file /opt/lib/python3.8/bz2.pyc.
Removing obsolete file /opt/lib/python3.8/stringprep.pyc.
Removing obsolete file /opt/lib/python3.8/ntpath.pyc.
Removing obsolete file /opt/lib/python3.8/difflib.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/zipapp.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_opcode.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/secrets.pyc.
Removing obsolete file /opt/lib/python3.8/contextlib.pyc.
Removing obsolete file /opt/lib/python3.8/_threading_local.pyc.
Removing obsolete file /opt/lib/python3.8/fnmatch.pyc.
Removing obsolete file /opt/lib/python3.8/wsgiref/headers.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_queue.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/glob.pyc.
Removing obsolete file /opt/lib/python3.8/ast.pyc.
Removing obsolete file /opt/lib/python3.8/_compression.pyc.
Removing obsolete file /opt/lib/python3.8/py_compile.pyc.
Removing obsolete file /opt/lib/python3.8/_pydecimal.pyc.
Removing obsolete file /opt/lib/python3.8/venv/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/tarfile.pyc.
Removing obsolete file /opt/lib/python3.8/fractions.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_blake2.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/pprint.pyc.
Removing obsolete file /opt/lib/python3.8/concurrent/futures/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/pipes.pyc.
Removing obsolete file /opt/lib/python3.8/imp.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/cmath.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/datetime.pyc.
Removing obsolete file /opt/lib/python3.8/nturl2path.pyc.
Removing obsolete file /opt/lib/python3.8/uuid.pyc.
Removing obsolete file /opt/lib/python3.8/wsgiref/handlers.pyc.
Removing obsolete file /opt/lib/python3.8/bisect.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/resources.pyc.
Removing obsolete file /opt/lib/python3.8/sched.pyc.
Removing obsolete file /opt/lib/python3.8/dataclasses.pyc.
Removing obsolete file /opt/lib/python3.8/cProfile.pyc.
Removing obsolete file /opt/lib/python3.8/wsgiref/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/machinery.pyc.
Removing obsolete file /opt/lib/python3.8/trace.pyc.
Removing obsolete file /opt/lib/python3.8/getpass.pyc.
Removing obsolete file /opt/lib/python3.8/opcode.pyc.
Removing obsolete file /opt/lib/python3.8/functools.pyc.
Removing obsolete file /opt/lib/python3.8/collections/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/_pyio.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/math.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/rlcompleter.pyc.
Removing obsolete file /opt/lib/python3.8/tokenize.pyc.
Removing obsolete file /opt/lib/python3.8/json/scanner.pyc.
Removing obsolete file /opt/lib/python3.8/pickle.pyc.
Removing obsolete file /opt/lib/python3.8/copyreg.pyc.
Removing obsolete file /opt/lib/python3.8/mimetypes.pyc.
Removing obsolete file /opt/lib/python3.8/importlib/util.pyc.
Removing obsolete file /opt/lib/python3.8/tracemalloc.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_statistics.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/nis.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/formatter.pyc.
Removing obsolete file /opt/lib/python3.8/pdb.pyc.
Removing obsolete file /opt/lib/python3.8/tabnanny.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/resource.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/audioop.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/html/parser.pyc.
Removing obsolete file /opt/lib/python3.8/selectors.pyc.
Removing obsolete file /opt/lib/python3.8/threading.pyc.
Removing obsolete file /opt/lib/python3.8/nntplib.pyc.
Removing obsolete file /opt/lib/python3.8/http/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/wsgiref/simple_server.pyc.
Removing obsolete file /opt/lib/python3.8/enum.pyc.
Removing obsolete file /opt/lib/python3.8/string.pyc.
Removing obsolete file /opt/lib/python3.8/smtpd.pyc.
Removing obsolete file /opt/lib/python3.8/concurrent/futures/process.pyc.
Removing obsolete file /opt/lib/python3.8/_strptime.pyc.
Removing obsolete file /opt/lib/python3.8/this.pyc.
Removing obsolete file /opt/lib/python3.8/runpy.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_contextvars.cpython-38.so         .
Upgrading glib2 on root from 2.65.2-1 to 2.66.1-1...
Downloading http://bin.entware.net/mipselsf-k3.4/glib2_2.66.1-1_mipsel-3.4.ipk
Removing obsolete file /opt/lib/libgobject-2.0.so.0.6502.0.
Removing obsolete file /opt/lib/libgio-2.0.so.0.6502.0.
Removing obsolete file /opt/lib/libglib-2.0.so.0.6502.0.
Removing obsolete file /opt/lib/libgmodule-2.0.so.0.6502.0.
Removing obsolete file /opt/lib/libgthread-2.0.so.0.6502.0.
Upgrading python3-pydoc on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-pydoc_3.9.0-2_mipsel-3.         4.ipk
Removing obsolete file /opt/lib/python3.8/doctest.pyc.
Removing obsolete file /opt/lib/python3.8/pydoc_data/topics.pyc.
Removing obsolete file /opt/lib/python3.8/pydoc_data/_pydoc.css.
Removing obsolete file /opt/lib/python3.8/pydoc.pyc.
Removing obsolete file /opt/lib/python3.8/pydoc_data/__init__.pyc.
Upgrading liblzma on root from 5.2.5-1 to 5.2.5-2...
Downloading http://bin.entware.net/mipselsf-k3.4/liblzma_5.2.5-2_mipsel-3.4.ipk
Upgrading python3-email on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-email_3.9.0-2_mipsel-3.         4.ipk
Removing obsolete file /opt/lib/python3.8/email/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/email/architecture.rst.
Removing obsolete file /opt/lib/python3.8/email/mime/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/image.pyc.
Removing obsolete file /opt/lib/python3.8/email/errors.pyc.
Removing obsolete file /opt/lib/python3.8/email/_policybase.pyc.
Removing obsolete file /opt/lib/python3.8/email/_parseaddr.pyc.
Removing obsolete file /opt/lib/python3.8/email/contentmanager.pyc.
Removing obsolete file /opt/lib/python3.8/email/policy.pyc.
Removing obsolete file /opt/lib/python3.8/email/generator.pyc.
Removing obsolete file /opt/lib/python3.8/email/charset.pyc.
Removing obsolete file /opt/lib/python3.8/email/_header_value_parser.pyc.
Removing obsolete file /opt/lib/python3.8/email/message.pyc.
Removing obsolete file /opt/lib/python3.8/email/parser.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/base.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/application.pyc.
Removing obsolete file /opt/lib/python3.8/email/header.pyc.
Removing obsolete file /opt/lib/python3.8/email/quoprimime.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/multipart.pyc.
Removing obsolete file /opt/lib/python3.8/email/iterators.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/nonmultipart.pyc.
Removing obsolete file /opt/lib/python3.8/email/base64mime.pyc.
Removing obsolete file /opt/lib/python3.8/email/utils.pyc.
Removing obsolete file /opt/lib/python3.8/email/_encoded_words.pyc.
Removing obsolete file /opt/lib/python3.8/email/feedparser.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/message.pyc.
Removing obsolete file /opt/lib/python3.8/email/headerregistry.pyc.
Removing obsolete file /opt/lib/python3.8/email/encoders.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/text.pyc.
Removing obsolete file /opt/lib/python3.8/email/mime/audio.pyc.
Upgrading grep on root from 3.4-2 to 3.6-1...
Downloading http://bin.entware.net/mipselsf-k3.4/grep_3.6-1_mipsel-3.4.ipk
Upgrading zoneinfo-asia on root from 2020a-1 to 2020d-1...
Downloading http://bin.entware.net/mipselsf-k3.4/zoneinfo-asia_2020d-1_mipsel-3.         4.ipk
Upgrading python3-cgitb on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-cgitb_3.9.0-2_mipsel-3.         4.ipk
Removing obsolete file /opt/lib/python3.8/cgitb.pyc.
Upgrading python3-decimal on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-decimal_3.9.0-2_mipsel-         3.4.ipk
Removing obsolete file /opt/lib/python3.8/decimal.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_decimal.cpython-38.so.
Upgrading usbutils on root from 007-10 to 007-11...
Downloading http://bin.entware.net/mipselsf-k3.4/usbutils_007-11_mipsel-3.4.ipk
Upgrading python3-xml on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-xml_3.9.0-2_mipsel-3.4.         ipk
Removing obsolete file /opt/lib/python3.8/xml/dom/pulldom.pyc.
Removing obsolete file /opt/lib/python3.8/xml/sax/saxutils.pyc.
Removing obsolete file /opt/lib/python3.8/xml/sax/expatreader.pyc.
Removing obsolete file /opt/lib/python3.8/xml/sax/handler.pyc.
Removing obsolete file /opt/lib/python3.8/xml/etree/ElementInclude.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/expatbuilder.pyc.
Removing obsolete file /opt/lib/python3.8/xml/sax/_exceptions.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/minicompat.pyc.
Removing obsolete file /opt/lib/python3.8/xml/etree/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/minidom.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/NodeFilter.pyc.
Removing obsolete file /opt/lib/python3.8/xml/sax/xmlreader.pyc.
Removing obsolete file /opt/lib/python3.8/xml/etree/ElementPath.pyc.
Removing obsolete file /opt/lib/python3.8/xml/sax/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/xmlrpc/client.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/domreg.pyc.
Removing obsolete file /opt/lib/python3.8/xml/etree/cElementTree.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_elementtree.cpython-38.so         .
Removing obsolete file /opt/lib/python3.8/xml/parsers/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/xml/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/pyexpat.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/xml/parsers/expat.pyc.
Removing obsolete file /opt/lib/python3.8/xml/etree/ElementTree.pyc.
Removing obsolete file /opt/lib/python3.8/xmlrpc/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/xml/dom/xmlbuilder.pyc.
Removing obsolete file /opt/lib/python3.8/xmlrpc/server.pyc.
Upgrading python3-setuptools on root from 47.1.0-1 to 49.2.1-1...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-setuptools_49.2.1-1_mip         sel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/version.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/dep_util.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/build         _clib.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/uploa         d.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/script (dev).         tmpl.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/requirements.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/sdist         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/RECORD.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/extension.pyc         .
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/WHEEL.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/zip-safe.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/rotat         e.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/insta         ll_egg_info.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/launch.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/launc         her manifest.xml.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/insta         ll.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/order         ed_set.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/ssl_support.p         yc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/bdist         _egg.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/unicode_utils         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/package_index         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/markers.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/test.         pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/dist.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/wheel.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/__ini         t__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/bdist         _wininst.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/alias         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/py36c         ompat.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/monkey.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/INSTALLER.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/pypar         sing.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_deprecation_         warning.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/build         _ext.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/regis         ter.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/py27compat.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/tags.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/script.tmpl.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/__about__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/insta         ll_scripts.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/METADATA.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/msvc.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/egg_i         nfo.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/sandbox.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/entry_points.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/py33compat.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/easy_         install.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/namespaces.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/LICENSE.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/depends.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/dist_         info.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/build_meta.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/devel         op.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/saveo         pts.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/glob.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/build         _py.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/windows_suppo         rt.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/extern/__init         __.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/version.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/__ini         t__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/_compat.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/_structures.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_imp.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/direct_url.json.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/site-patch.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/lib2to3_ex.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/errors.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/archive_util.         pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/installer.pyc         .
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/insta         ll_lib.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/setop         t.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/utils.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/dependency_links.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/bdist         _rpm.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/py34compat.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/command/uploa         d_docs.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/packa         ging/specifiers.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/site-patch.py         .txt.
Removing obsolete file /opt/bin/easy_install-3.8.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/_vendor/six.p         yc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/py31compat.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/easy_install.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools-47.1.0.dist-i         nfo/top_level.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/setuptools/config.pyc.
Upgrading libxml2 on root from 2.9.10-1 to 2.9.10-2...
Downloading http://bin.entware.net/mipselsf-k3.4/libxml2_2.9.10-2_mipsel-3.4.ipk
Upgrading python3-pkg-resources on root from 47.1.0-1 to 49.2.1-1...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-pkg-resources_49.2.1-1_         mipsel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/__about__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/requirements.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/ap         pdirs.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/utils.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/markers.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/specifiers.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/__         init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/__init__.p         yc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/si         x.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/extern/__i         nit__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/py2_warn.p         yc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/version.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/_compat.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/py31compat         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/py         parsing.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pkg_resources/_vendor/pa         ckaging/_structures.pyc.
Upgrading python3-aiohomekit on root from 0.2.54-1 to 0.2.57-1...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-aiohomekit_0.2.         57-1_mipsel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/data.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/service         s/data.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/protocol/stat         uscodes.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/protocol/tlv.         pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/feature         _flags.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/characteristic_formats.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/units.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit-0.2.54-py3.8.         egg-info/PKG-INFO.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/service         s/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/ip         /connection.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/structs.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/service         s/service_types.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/ip         /discovery.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/types.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/__         init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/characteristic_types.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit-0.2.54-py3.8.         egg-info/dependency_links.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/crypto/__init         __.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/__main__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/mixin.p         yc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit-0.2.54-py3.8.         egg-info/entry_points.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/crypto/hkdf.p         yc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/protocol/__in         it__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/co         ntroller.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/exceptions.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/pa         iring.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/http/response         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/service         s/types.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/crypto/srp.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/tlv8.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/permissions.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/service         s/service.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/http/__init__         .pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/status_         flags.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/utils.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/ip         /zeroconf.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/charact         eristics/characteristic.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit-0.2.54-py3.8.         egg-info/requires.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/zeroconf/__in         it__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/ip         /__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/controller/ip         /pairing.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/crypto/chacha         20poly1305.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit-0.2.54-py3.8.         egg-info/top_level.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/testing.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit-0.2.54-py3.8.         egg-info/SOURCES.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/categor         ies.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/aiohomekit/model/__init_         _.pyc.
Upgrading homeassistant on root from 0.118.0-1 to 0.118.5-1...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/homeassistant_0.118.5-1         _mipsel-3.4.ipk
Installing python3-click (7.1.2-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-click_7.1.2-1_m         ipsel-3.4.ipk
Installing python3-gtts (2.2.1-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-gtts_2.2.1-1_mi         psel-3.4.ipk
python3-gtts-token was autoinstalled and is now orphaned, removing.
Removing package python3-gtts-token from root...
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /cloudflare/translations/zh-Hant.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /control4/manifest.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /moon/translations/sensor.ko.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /sensor/translations/hy.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /simplisafe/config_flow.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /sleepiq/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /ue_smart_radio/media_player.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /vacuum/reproduce_state.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /vesync/translations/es-419.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /websocket_api/sensor.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /wemo/translations/es-419.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /aqualogic/manifest.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /bond/strings.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /device_tracker/translations/ro.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /doorbird/translations/ru.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /geo_json_events/geo_location.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /ipp/translations/en.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /tank_utility/sensor.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /tplink/common.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /traccar/translations/pl.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /binary_sensor/translations/sl.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /coolmaster/translations/pt.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /dsmr/translations/ru.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /forked_daapd/translations/de.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /hassio/addon_panel.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /heos/config_flow.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /input_text/translations/bg.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /islamic_prayer_times/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /media_player/translations/hi.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /openuv/translations/uk.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /persistent_notification/manifest.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /rest/binary_sensor.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /ripple/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /tesla/translations/pt.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /tradfri/base_class.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /braviatv/translations/sl.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /geofency/config_flow.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /geofency/translations/lb.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /google_maps/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /griddy/sensor.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /melcloud/translations/de.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /meteo_france/translations/cs.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /mqtt/light/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /nissan_leaf/sensor.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /smtp/notify.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /wiffi/translations/sv.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /brother/translations/sv.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /decora/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /gogogate2/cover.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /microsoft_face_identify/image_processing.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /myq/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /plex/manifest.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /rpi_power/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /smarty/binary_sensor.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /synology_dsm/translations/fr.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /tradfri/switch.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /vizio/config_flow.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /adguard/const.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /alarm_control_panel/translations/pt.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /aquostv/media_player.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /aurora/translations/cs.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /avri/config_flow.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /config/core.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /cover/translations/hy.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /dialogflow/translations/fr.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /emulated_roku/translations/fi.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /glances/translations/es-419.json.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /input_select/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/homeassistant/components         /ps4/translations/bg.json.
----

----

Removing obsolete file /opt/lib/python3.8/site-packages/pip/_internal/req/constr         uctors.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_internal/network/do         wnload.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/pep517/__ini         t__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/chardet/cli/         chardetect.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/cachecontrol         /caches/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_internal/resolution         /base.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/requests/__v         ersion__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/chardet/mbcs         sm.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/urllib3/pack         ages/backports/makefile.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_internal/utils/file         system.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/idna/core.py         c.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/html5lib/_tr         ie/py.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pip/_vendor/pkg_resource         s/__init__.pyc.
Upgrading python3-dbm on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-dbm_3.9.0-2_mipsel-3.4.         ipk
Removing obsolete file /opt/lib/python3.8/dbm/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/dbm/ndbm.pyc.
Removing obsolete file /opt/lib/python3.8/dbm/gnu.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_dbm.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/dbm/dumb.pyc.
Upgrading libjpeg-turbo on root from 2.0.5-1 to 2.0.6-1...
Downloading http://bin.entware.net/mipselsf-k3.4/libjpeg-turbo_2.0.6-1_mipsel-3.         4.ipk
Upgrading python3-yarl on root from 1.4.2-1 to 1.6.2-1...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-yarl_1.6.2-1_mi         psel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/yarl-1.4.2-py3.8.egg-inf         o/PKG-INFO.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl-1.4.2-py3.8.egg-inf         o/SOURCES.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/quoting.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/_quoting.cpython-38         .so.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/py.typed.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl-1.4.2-py3.8.egg-inf         o/top_level.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/_quoting.c.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/__init__.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl/_quoting.pyx.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl-1.4.2-py3.8.egg-inf         o/requires.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/yarl-1.4.2-py3.8.egg-inf         o/dependency_links.txt.
Upgrading python3-openssl on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-openssl_3.9.0-2_mipsel-         3.4.ipk
Removing obsolete file /opt/lib/python3.8/lib-dynload/_hashlib.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_ssl.cpython-38.so.
Upgrading python3-asyncio on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-asyncio_3.9.0-2_mipsel-         3.4.ipk
Removing obsolete file /opt/lib/python3.8/asyncio/format_helpers.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/locks.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/sslproto.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/unix_events.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/proactor_events.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/base_tasks.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/runners.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/constants.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/windows_events.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/selector_events.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/subprocess.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/transports.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/trsock.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/staggered.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/log.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/base_subprocess.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/events.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/base_events.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/coroutines.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/streams.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/base_futures.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/queues.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/exceptions.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/protocols.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/futures.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/windows_utils.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/__main__.pyc.
Removing obsolete file /opt/lib/python3.8/asyncio/tasks.pyc.
Upgrading libssp on root from 8.4.0-10 to 8.4.0-11...
Downloading http://bin.entware.net/mipselsf-k3.4/libssp_8.4.0-11_mipsel-3.4.ipk
Upgrading python3-cgi on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-cgi_3.9.0-2_mipsel-3.4.         ipk
Removing obsolete file /opt/lib/python3.8/cgi.pyc.
Upgrading python3-logging on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-logging_3.9.0-2_mipsel-         3.4.ipk
Removing obsolete file /opt/lib/python3.8/logging/handlers.pyc.
Removing obsolete file /opt/lib/python3.8/logging/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/logging/config.pyc.
Upgrading libexpat on root from 2.2.9-2 to 2.2.10-1...
Downloading http://bin.entware.net/mipselsf-k3.4/libexpat_2.2.10-1_mipsel-3.4.ip         k
Removing obsolete file /opt/lib/libexpat.so.1.6.11.
Upgrading python3-ctypes on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-ctypes_3.9.0-2_mipsel-3         .4.ipk
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/README.ctypes.
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/fetch_macholib.bat.
Removing obsolete file /opt/lib/python3.8/ctypes/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/dyld.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/dylib.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/util.pyc.
Removing obsolete file /opt/lib/python3.8/lib-dynload/_ctypes_test.cpython-38.so         .
Removing obsolete file /opt/lib/python3.8/lib-dynload/_ctypes.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/framework.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/_aix.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/wintypes.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/_endian.pyc.
Removing obsolete file /opt/lib/python3.8/ctypes/macholib/fetch_macholib.
Upgrading python3-pyopenssl on root from 19.1.0-2 to 20.0.0-1...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-pyopenssl_20.0.         0-1_mipsel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/tsafe.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pyOpenSSL-19.1.0-py3.8.e         gg-info/SOURCES.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/pyOpenSSL-19.1.0-py3.8.e         gg-info/requires.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/_util.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pyOpenSSL-19.1.0-py3.8.e         gg-info/PKG-INFO.
Removing obsolete file /opt/lib/python3.8/site-packages/pyOpenSSL-19.1.0-py3.8.e         gg-info/top_level.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/SSL.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/crypto.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/pyOpenSSL-19.1.0-py3.8.e         gg-info/dependency_links.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/rand.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/version.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/OpenSSL/debug.pyc.
Upgrading python3-attrs on root from 20.1.0-1 to 20.3.0-1...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-attrs_20.3.0-1_         mipsel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/attr/exceptions.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attrs-20.1.0-py3.8.egg-i         nfo/dependency_links.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/setters.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/setters.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/__init__.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_make.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/filters.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/filters.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_version_info.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_version_info.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/py.typed.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_funcs.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attrs-20.1.0-py3.8.egg-i         nfo/PKG-INFO.
Removing obsolete file /opt/lib/python3.8/site-packages/attrs-20.1.0-py3.8.egg-i         nfo/top_level.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/converters.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attrs-20.1.0-py3.8.egg-i         nfo/requires.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/converters.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/validators.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/validators.pyi.
Removing obsolete file /opt/lib/python3.8/site-packages/attrs-20.1.0-py3.8.egg-i         nfo/SOURCES.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/attrs-20.1.0-py3.8.egg-i         nfo/not-zip-safe.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_next_gen.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_config.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/_compat.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/attr/exceptions.pyc.
Upgrading python3-lzma on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-lzma_3.9.0-2_mipsel-3.4         .ipk
Removing obsolete file /opt/lib/python3.8/lib-dynload/_lzma.cpython-38.so.
Removing obsolete file /opt/lib/python3.8/lzma.pyc.
Upgrading python3-certifi on root from 2020.6.20-1 to 2020.11.8-1...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-certifi_2020.11         .8-1_mipsel-3.4.ipk
Removing obsolete file /opt/lib/python3.8/site-packages/certifi/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi-2020.6.20-py3.8.         egg-info/not-zip-safe.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi/core.pyc.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi-2020.6.20-py3.8.         egg-info/top_level.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi-2020.6.20-py3.8.         egg-info/SOURCES.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi/cacert.pem.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi-2020.6.20-py3.8.         egg-info/PKG-INFO.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi-2020.6.20-py3.8.         egg-info/dependency_links.txt.
Removing obsolete file /opt/lib/python3.8/site-packages/certifi/__main__.pyc.
Upgrading libfreetype on root from 2.10.2-1 to 2.10.4-1...
Downloading http://bin.entware.net/mipselsf-k3.4/libfreetype_2.10.4-1_mipsel-3.4         .ipk
Removing obsolete file /opt/lib/libfreetype.so.6.17.2.
Upgrading libopenssl on root from 1.1.1g-1 to 1.1.1h-1...
Downloading http://bin.entware.net/mipselsf-k3.4/libopenssl_1.1.1h-1_mipsel-3.4.         ipk
Upgrading python3-unittest on root from 3.8.5-2 to 3.9.0-2...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-unittest_3.9.0-2_mipsel         -3.4.ipk
Removing obsolete file /opt/lib/python3.8/unittest/case.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/mock.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/__main__.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/suite.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/runner.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/loader.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/__init__.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/signals.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/async_case.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/main.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/util.pyc.
Removing obsolete file /opt/lib/python3.8/unittest/result.pyc.
Configuring libgcc.
Configuring libc.
Configuring libssp.
Configuring libpthread.
Configuring librt.
Configuring python3-base.
Configuring libuuid.
Configuring python3-light.
Configuring python3-unittest.
Configuring python3-ncurses.
Configuring python3-ctypes.
Configuring python3-pydoc.
Configuring python3-logging.
Configuring python3-multiprocessing.
Configuring python3-codecs.
Configuring python3-gdbm.
Configuring python3-sqlite3.
Configuring python3-email.
Configuring python3-urllib.
Configuring libexpat.
Configuring python3-xml.
Configuring python3-distutils.
Configuring libopenssl.
Configuring python3-openssl.
Configuring python3-cgi.
Configuring python3-cgitb.
Configuring libxml2.
Configuring python3-dbm.
Configuring python3-asyncio.
Configuring liblzma.
Configuring python3-lzma.
Configuring python3-decimal.
Configuring python3.
Configuring ldconfig.
Configuring glib2.
Configuring grep.
Configuring opkg.
Configuring python3-urllib3.
Configuring python3-certifi.
Configuring zoneinfo-europe.
Configuring libubox.
Configuring libjson-c.
Configuring jsonfilter.
Configuring busybox.
Warning: '/opt/bin/xargs' is already exists, skipping.
Warning: '/opt/bin/egrep' is already exists, skipping.
Warning: '/opt/bin/fgrep' is already exists, skipping.
Warning: '/opt/bin/grep' is already exists, skipping.
Warning: '/opt/bin/find' is already exists, skipping.
Warning: '/opt/bin/lsusb' is already exists, skipping.
Configuring python3-pkg-resources.
Configuring python3-setuptools.
Configuring python3-click.
Configuring zoneinfo-asia.
Configuring usbutils.
Configuring python3-gtts.
Configuring libjpeg-turbo.
Configuring libfreetype.
Configuring python3-aiohomekit.
Configuring python3-cffi.
Configuring python3-pyopenssl.
Configuring python3-pytz.
Configuring python3-attrs.
Configuring python3-yarl.
Configuring python3-hass-nabucasa.
Configuring python3-home-assistant-frontend.
Configuring python3-pip.
Configuring homeassistant.
Configuring dropbear.
Configuring libstdcpp.
Collected errors:
 * resolve_conffiles: Existing conffile /opt/etc/config/dropbear.conf is differe         nt from the conffile in the new package. The new conffile will be placed at /opt         /etc/config/dropbear.conf-opkg.
real    2m 18.09s
user    1m 57.15s
sys     0m 47.02s
~ # /opt/etc/init.d/S99hass start
 Starting hass...              done.
~ # /opt/etc/init.d/S99hass stop
 Checking hass...              dead.

 

Edited by Олег Осипов

Share this post


Link to post
Share on other sites

Приветствую. Роутер Giga3 с релизной прошивкой 3.5.4. Установил home assistant. Пытаюсь поставить интеграцию xiaomi gateway3 (сторонний репозиторий HACS: AlexxIT/XiaomiGateway3) для подключения шлюза от xiaomi третьей версии. При попытке добавить интеграцию через меню, она там появилась, но при установке вываливается ошибка, что-то вроде не могу поставить пакет xiaomi-miio==0.5.3:

Spoiler

Logger: aiohttp.server
Source: requirements.py:131
First occurred: 13:43:46 (1 occurrences)
Last logged: 13:43:46

Error handling request



Traceback (most recent call last):
  File "/opt/lib/python3.9/site-packages/aiohttp/web_protocol.py", line 422, in _handle_request
  File "/opt/lib/python3.9/site-packages/aiohttp/web_app.py", line 499, in _handle
  File "/opt/lib/python3.9/site-packages/aiohttp/web_middlewares.py", line 118, in impl
  File "/opt/lib/python3.9/site-packages/homeassistant/components/http/request_context.py", line 18, in request_context_middleware
  File "/opt/lib/python3.9/site-packages/homeassistant/components/http/ban.py", line 72, in ban_middleware
  File "/opt/lib/python3.9/site-packages/homeassistant/components/http/auth.py", line 127, in auth_middleware
  File "/opt/lib/python3.9/site-packages/homeassistant/components/http/view.py", line 129, in handle
  File "/opt/lib/python3.9/site-packages/homeassistant/components/config/config_entries.py", line 136, in post
  File "/opt/lib/python3.9/site-packages/homeassistant/components/http/data_validator.py", line 60, in wrapper
  File "/opt/lib/python3.9/site-packages/homeassistant/helpers/data_entry_flow.py", line 69, in post
  File "/opt/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 119, in async_init
  File "/opt/lib/python3.9/site-packages/homeassistant/config_entries.py", line 532, in async_create_flow
  File "/opt/lib/python3.9/site-packages/homeassistant/setup.py", line 343, in async_process_deps_reqs
  File "/opt/lib/python3.9/site-packages/homeassistant/requirements.py", line 74, in async_get_integration_with_requirements
  File "/opt/lib/python3.9/site-packages/homeassistant/requirements.py", line 131, in async_process_requirements
homeassistant.requirements.RequirementsNotFound: Requirements for xiaomi_gateway3 not found: ['python-miio>=0.5.3'].

и такое после:

Spoiler

Logger: homeassistant.util.package
Source: util/package.py:95
First occurred: 13:42:12 (2 occurrences)
Last logged: 13:43:46

  • Unable to install package python-miio==0.5.3: ERROR: Command errored out with exit status 1: command: /opt/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/opt/tmp/pip-install-pcf65jrl/netifaces/setup.py'"'"'; __file__='"'"'/opt/tmp/pip-install-pcf65jrl/netifaces/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /opt/tmp/pip-record-4wipbo_x/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /opt/var/lib/homeassistant/deps/include/python3.9/netifaces cwd: /opt/tmp/pip-install-pcf65jrl/netifaces/ Complete output (15 lines): running install running build running build_ext checking for getifaddrs...not found. checking for getnameinfo...not found. checking for socket IOCTLs...not found. checking for optional header files...none found. checking whether struct sockaddr has a length field...no. checking which sockaddr_xxx structs are defined...none! checking for routing socket support...no. checking for sysctl(CTL_NET...) support...no. checking for netlink support...no. building 'netifaces' extension gcc -Wno-unused-result -Wsign-compare -DNDEBUG -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -DNDEBUG -fno-inline -pthread -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -DNDEBUG -fno-inline -pthread -I/home/ryzhovau/Entware.mipsel/staging_dir/target-mipsel_mips32r2_glibc-2.27/opt/include -I/home/ryzhovau/Entware.mipsel/staging_dir/toolchain-mipsel_mips32r2_gcc-8.4.0_glibc-2.27/include -fPIC -DNETIFACES_VERSION=0.10.9 -I/opt/include/python3.9 -c netifaces.c -o build/temp.linux-mips-3.9/netifaces.o error: command 'gcc' failed: No such file or directory ---------------------------------------- ERROR: Command errored out with exit status 1: /opt/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/opt/tmp/pip-install-pcf65jrl/netifaces/setup.py'"'"'; __file__='"'"'/opt/tmp/pip-install-pcf65jrl/netifaces/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /opt/tmp/pip-record-4wipbo_x/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /opt/var/lib/homeassistant/deps/include/python3.9/netifaces Check the logs for full command output. WARNING: You are using pip version 20.2.3; however, version 20.3.1 is available. You should consider upgrading via the '/opt/bin/python3 -m pip install --upgrade pip' command.
  • Unable to install package python-miio>=0.5.3: ERROR: Command errored out with exit status 1: command: /opt/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/opt/tmp/pip-install-3bb4k5ee/netifaces/setup.py'"'"'; __file__='"'"'/opt/tmp/pip-install-3bb4k5ee/netifaces/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /opt/tmp/pip-record-sby_i6l0/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /opt/var/lib/homeassistant/deps/include/python3.9/netifaces cwd: /opt/tmp/pip-install-3bb4k5ee/netifaces/ Complete output (15 lines): running install running build running build_ext checking for getifaddrs...not found. checking for getnameinfo...not found. checking for socket IOCTLs...not found. checking for optional header files...none found. checking whether struct sockaddr has a length field...no. checking which sockaddr_xxx structs are defined...none! checking for routing socket support...no. checking for sysctl(CTL_NET...) support...no. checking for netlink support...no. building 'netifaces' extension gcc -Wno-unused-result -Wsign-compare -DNDEBUG -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -DNDEBUG -fno-inline -pthread -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -DNDEBUG -fno-inline -pthread -I/home/ryzhovau/Entware.mipsel/staging_dir/target-mipsel_mips32r2_glibc-2.27/opt/include -I/home/ryzhovau/Entware.mipsel/staging_dir/toolchain-mipsel_mips32r2_gcc-8.4.0_glibc-2.27/include -fPIC -DNETIFACES_VERSION=0.10.9 -I/opt/include/python3.9 -c netifaces.c -o build/temp.linux-mips-3.9/netifaces.o error: command 'gcc' failed: No such file or directory ---------------------------------------- ERROR: Command errored out with exit status 1: /opt/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/opt/tmp/pip-install-3bb4k5ee/netifaces/setup.py'"'"'; __file__='"'"'/opt/tmp/pip-install-3bb4k5ee/netifaces/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /opt/tmp/pip-record-sby_i6l0/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /opt/var/lib/homeassistant/deps/include/python3.9/netifaces Check the logs for full command output. WARNING: You are using pip version 20.2.3; however, version 20.3.1 is available. You should consider upgrading via the '/opt/bin/python3 -m pip install --upgrade pip' command.

Пробовал ставить обновление pip до предложенной  20.3.1, но это не помогло, мало того, НА стал ругаться, что с этой версией работать не хочет, нужно понизить.

Edited by dancom

Share this post


Link to post
Share on other sites
8 часов назад, dancom сказал:

error: command 'gcc' failed: No such file or directory

GCC - https://github.com/Entware/Entware/wiki/Using-GCC-for-native-compilation

Python3 - https://github.com/Entware/Entware/wiki/Self-installation-of-python-modules

  • Thanks 1

Share this post


Link to post
Share on other sites
В 09.12.2020 в 06:40, Олег Осипов сказал:

Обновиться не удалось, обновление прошло подозрительно быстро, после чего не запустился интерфейс.

не все пакеты обновились после смены версии python (надо было переустановить: `opkg list-installed | grep ^pyt | cut -f1 -d' ' | xargs opkg install --force-reinstall`)

1 час назад, Олег Осипов сказал:

Новая версия вышла, последняя в этом году !

пересобрать? :)

Share this post


Link to post
Share on other sites
On 12/12/2020 at 11:12 PM, TheBB said:

Спасибо за наводку. Разобрался. Не смог собраться из исходников пакет netifaces.c, являющийся зависимым от python-miio. Без него не ставилась интеграция Xiaomi-miio  и XiaomiGateway3. Там указан файл заголовка: #include <Python.h>, который отсутствует в системе. В системе не установлены файлы заголовка и статичных библиотек для python dev. Проблема была в отсутствующем пакете python3-dev. Поставил с репозитория Entware имеющуюся там версию python3-dev_3.9.0-2_mipsel-3.4.ipk . Причем именно с entware. С репозитория pip  имеющийся там Python-dev-2.0.0.dev0.tar.gz установился, но ошибка не ушла. После установки "правильной" версии, установилась интеграция Xiaomi-miio а также HACS: AlexxIT/XiaomiGateway3, увиделся мой шлюз и прицепились все zigbee устройства в системе. Даже не от xiaomi, что самое приятное и ради чего все затевалось (mi home их игнорирует при паринге).Что делал:

opkg update opkg install gcc
wget -qO- http://bin.entware.net/mipselsf-k3.4/include/include.tar.gz | tar xvz -C /opt/include

source /opt/bin/gcc_env.sh
opkg install python3-dev
pip install netifaces
pip install python-miio

По идее достаточно было бы только : opkg install python3-dev, но я не уверен. Описал, как делал я. 

Предлагаю пакет python3-dev включить в следующую сборку draft HA. В системе умного дома наверно у 90% людей есть устройства xiaomi и им не понадобится танцевать с бубном как я, разбираясь с основанными на Си исходниками интеграции.

Share this post


Link to post
Share on other sites

Спасибо !

Что-то у меня опять не получается поставить интеграции ZHA и tuya на эту версию, даже на чистую (без восстановления настроек с предыдущей)

лог ha:

Скрытый текст
2020-12-28 16:16:19 ERROR (MainThread) [homeassistant.components.updater] Error requesting Home Assistant update data: Cannot connect to host updater.home-assistant.io:443 ssl:default [Connection reset by peer]
2020-12-28 16:21:03 WARNING (MainThread) [homeassistant.components.webhook] Received message for unregistered webhook bb8dc6c339956d9ab36b89934e05a1cd9b5fb5ca73e04a225e540fc236acf602 from 127.0.0.1
2020-12-28 16:29:55 WARNING (MainThread) [homeassistant.components.webhook] Received message for unregistered webhook 03f42ad558e12d758c2bbf309c3a9de2fd5da68cae6e5d4a10aa41d208a71dfe from 127.0.0.1
2020-12-28 16:33:23 ERROR (SyncWorker_3) [homeassistant.util.package] Unable to install package tuyaha==0.0.9: WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(131, 'Connection reset by peer'))': /packages/b6/7d/dced85de25ee33ec958694e78a2af194f8ffa9293bb233068ca712fd119e/tuyaha-0.0.9-py3-none-any.whl
WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(131, 'Connection reset by peer'))': /packages/b6/7d/dced85de25ee33ec958694e78a2af194f8ffa9293bb233068ca712fd119e/tuyaha-0.0.9-py3-none-any.whl
WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(131, 'Connection reset by peer'))': /packages/b6/7d/dced85de25ee33ec958694e78a2af194f8ffa9293bb233068ca712fd119e/tuyaha-0.0.9-py3-none-any.whl
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(131, 'Connection reset by peer'))': /packages/b6/7d/dced85de25ee33ec958694e78a2af194f8ffa9293bb233068ca712fd119e/tuyaha-0.0.9-py3-none-any.whl
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(131, 'Connection reset by peer'))': /packages/b6/7d/dced85de25ee33ec958694e78a2af194f8ffa9293bb233068ca712fd119e/tuyaha-0.0.9-py3-none-any.whl
ERROR: Could not install packages due to an EnvironmentError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Max retries exceeded with url: /packages/b6/7d/dced85de25ee33ec958694e78a2af194f8ffa9293bb233068ca712fd119e/tuyaha-0.0.9-py3-none-any.whl (Caused by ProtocolError('Connection aborted.', ConnectionResetError(131, 'Connection reset by peer')))
 
WARNING: You are using pip version 20.2.3; however, version 20.3.3 is available.
You should consider upgrading via the '/opt/bin/python3 -m pip install --upgrade pip' command.
2020-12-28 16:33:23 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
File "/opt/lib/python3.9/site-packages/aiohttp/web_protocol.py", line 422, in _handle_request
File "/opt/lib/python3.9/site-packages/aiohttp/web_app.py", line 499, in _handle
File "/opt/lib/python3.9/site-packages/aiohttp/web_middlewares.py", line 118, in impl
File "/opt/lib/python3.9/site-packages/homeassistant/components/http/request_context.py", line 18, in request_context_middleware
File "/opt/lib/python3.9/site-packages/homeassistant/components/http/ban.py", line 72, in ban_middleware
File "/opt/lib/python3.9/site-packages/homeassistant/components/http/auth.py", line 127, in auth_middleware
File "/opt/lib/python3.9/site-packages/homeassistant/components/http/view.py", line 129, in handle
File "/opt/lib/python3.9/site-packages/homeassistant/components/config/config_entries.py", line 136, in post
File "/opt/lib/python3.9/site-packages/homeassistant/components/http/data_validator.py", line 60, in wrapper
File "/opt/lib/python3.9/site-packages/homeassistant/helpers/data_entry_flow.py", line 69, in post
File "/opt/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 119, in async_init
File "/opt/lib/python3.9/site-packages/homeassistant/config_entries.py", line 532, in async_create_flow
File "/opt/lib/python3.9/site-packages/homeassistant/setup.py", line 343, in async_process_deps_reqs
File "/opt/lib/python3.9/site-packages/homeassistant/requirements.py", line 74, in async_get_integration_with_requirements
File "/opt/lib/python3.9/site-packages/homeassistant/requirements.py", line 131, in async_process_requirements
homeassistant.requirements.RequirementsNotFound: Requirements for tuya not found: ['tuyaha==0.0.9'].

 

Edited by Олег Осипов
скорректировал

Share this post


Link to post
Share on other sites

Поставил, заработало, спасибо всем, кто поделился знаниями. Я в HA новичек. Не вижу вкладку supervisor, она же hass.io - это потому что это core инсталляция? Возможна ли тогда полная чтобы с аддонами?

Share this post


Link to post
Share on other sites
4 часа назад, Sergey Neshin сказал:

Поставил, заработало, спасибо всем, кто поделился знаниями. Я в HA новичек. Не вижу вкладку supervisor, она же hass.io - это потому что это core инсталляция? Возможна ли тогда полная чтобы с аддонами?

Да, это только core. Полная, со своей ОС и с аддонами ставится на отдельное устройство или виртуалку и требует ресурсов побольше чем у кинетика.

Share this post


Link to post
Share on other sites

Добрый день! Пытался установить HA по этой инструкции (после установки Ethware): 

echo "src/gz ha http://bin.entware.net/mipselsf-k3.4/test/HA" >> /opt/etc/opkg.conf
opkg update
opkg install python3-home-assistant-frontend
/opt/etc/init.d/S99hass start

Но при запуске

/opt/etc/init.d/S99hass start

пишет, что not found/

Что я делаю не так?

Прошу пнуть в нужном направлении.

Share this post


Link to post
Share on other sites
11 минуту назад, drts сказал:

Прошу пнуть в нужном направлении.

opkg install homeassistant

 

Share this post


Link to post
Share on other sites

т.е. я правильно понимаю, что сценарий установки должен быть:

echo "src/gz ha http://bin.entware.net/mipselsf-k3.4/test/HA" >> /opt/etc/opkg.conf
opkg update
opkg install python3-home-assistant-frontend
opkg install homeassistant
/opt/etc/init.d/S99hass start

я запустил hass, но веб интерфейс так и не появляется

404: Not Found

, хотя hass already running. Примечательно, что до НГ я установил HA, но при попытке обновить всё рухнуло, но что-то пошло не так при переустановке. Если вышеприведенный сценарий верен, может закрепить его в начале темы? 

Edited by drts

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   1 member


×
×
  • Create New...